
%global meadversion 1.9.9
%global namedversion 1.9.9.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 12
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.9.9.redhat-6

Name:           codehaus-jackson
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson Project
Group:          Development/Java

%if %with mead
Source100: jackson-project-1.9.9.redhat-6-scm-sources.zip
Source102: jackson-mapper-lgpl-1.9.9.redhat-6-sources.jar
Source103: jackson-mapper-lgpl-1.9.9.redhat-6.pom
Source104: jackson-mapper-lgpl-1.9.9.redhat-6.jar
Source105: jackson-xc-1.9.9.redhat-6-sources.jar
Source106: jackson-xc-1.9.9.redhat-6.jar
Source107: jackson-xc-1.9.9.redhat-6.pom
Source108: jackson-project-1.9.9.redhat-6-javadoc.jar
Source109: jackson-project-1.9.9.redhat-6-project-sources.tar.gz
Source110: jackson-project-1.9.9.redhat-6.pom
Source111: jackson-jaxrs-1.9.9.redhat-6.pom
Source112: jackson-jaxrs-1.9.9.redhat-6.jar
Source113: jackson-jaxrs-1.9.9.redhat-6-sources.jar
Source114: jackson-mapper-asl-1.9.9.redhat-6.pom
Source115: jackson-mapper-asl-1.9.9.redhat-6-javadoc.jar
Source116: jackson-mapper-asl-1.9.9.redhat-6.jar
Source117: jackson-mapper-asl-1.9.9.redhat-6-sources.jar
Source118: jackson-mrbean-1.9.9.redhat-6.jar
Source119: jackson-mrbean-1.9.9.redhat-6.pom
Source120: jackson-mrbean-1.9.9.redhat-6-sources.jar
Source121: jackson-core-lgpl-1.9.9.redhat-6-sources.jar
Source122: jackson-core-lgpl-1.9.9.redhat-6.pom
Source123: jackson-core-lgpl-1.9.9.redhat-6.jar
Source124: jackson-core-asl-1.9.9.redhat-6.jar
Source125: jackson-core-asl-1.9.9.redhat-6-javadoc.jar
Source126: jackson-core-asl-1.9.9.redhat-6.pom
Source127: jackson-core-asl-1.9.9.redhat-6-sources.jar
Source128: jackson-smile-1.9.9.redhat-6-sources.jar
Source129: jackson-smile-1.9.9.redhat-6.jar
Source130: jackson-smile-1.9.9.redhat-6.pom
%endif

License:        ASL 2.0/LGPLv2+
URL:            http://jackson.codehaus.org
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-project-%{namedversion}-%{release}-root

%description
Jackson is a high-performance JSON processor (parser, generator).

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%package core-asl
Summary:        Core module for %{name} under ASL 2.0
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description core-asl
%{summary}.

%package core-lgpl
Summary:        Core module for %{name} under LGPLv2+
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description core-lgpl
%{summary}.

%package mapper-asl
Summary:        Mapper module for %{name} under ASL 2.0
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}

%description mapper-asl
%{summary}.

%package mapper-lgpl
Summary:        Mapper module for %{name} under LGPLv2+ license
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-lgpl = %{epoch}:%{version}-%{release}

%description mapper-lgpl
%{summary}.

%package jaxrs
Summary:        JAXRS module for %{name}
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}

%description jaxrs
%{summary}.

%package xc
Summary:        XC module for %{name}
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}

%description xc
%{summary}.

%package mrbean
Summary:        MRBean module for %{name}
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}

%description mrbean
%{summary}.

%package smile
Summary:        Smile module for %{name}
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}

%description smile
%{summary}.

%prep
%setup -q -n jackson -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jackson-core-asl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-core-asl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-core-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-core-asl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-core-lgpl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-core-lgpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-mapper-asl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-mapper-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-mapper-lgpl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-mapper-lgpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-mrbean-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mrbean-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-mrbean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mrbean-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-smile-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-smile-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-smile-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-smile-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-xc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-xc-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-xc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-xc-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g;"`; done)

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
# FIXME: put javadoc extraction command here
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jackson-core-asl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-core-asl.pom
%{__cp} -p %{_sourcedir}/jackson-core-lgpl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-core-lgpl.pom
%{__cp} -p %{_sourcedir}/jackson-jaxrs-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-jaxrs.pom
%{__cp} -p %{_sourcedir}/jackson-mapper-asl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mapper-asl.pom
%{__cp} -p %{_sourcedir}/jackson-mapper-lgpl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mapper-lgpl.pom
%{__cp} -p %{_sourcedir}/jackson-mrbean-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mrbean.pom
%{__cp} -p %{_sourcedir}/jackson-smile-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-smile.pom
%{__cp} -p %{_sourcedir}/jackson-xc-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-xc.pom

# depmaps
%add_to_maven_depmap org.codehaus.jackson jackson-core-asl %{namedversion} JPP/%{name} jackson-core-asl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-core-asl
%add_to_maven_depmap org.codehaus.jackson jackson-core-lgpl %{namedversion} JPP/%{name} jackson-core-lgpl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-core-lgpl
%add_to_maven_depmap org.codehaus.jackson jackson-mapper-asl %{namedversion} JPP/%{name} jackson-mapper-asl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mapper-asl
%add_to_maven_depmap org.codehaus.jackson jackson-mapper-lgpl %{namedversion} JPP/%{name} jackson-mapper-lgpl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mapper-lgpl
%add_to_maven_depmap org.codehaus.jackson jackson-jaxrs %{namedversion} JPP/%{name} jackson-jaxrs
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-jaxrs
%add_to_maven_depmap org.codehaus.jackson jackson-mrbean %{namedversion} JPP/%{name} jackson-mrbean
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mrbean
%add_to_maven_depmap org.codehaus.jackson jackson-smile %{namedversion} JPP/%{name} jackson-smile
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-smile
%add_to_maven_depmap org.codehaus.jackson jackson-xc %{namedversion} JPP/%{name} jackson-xc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-xc

%clean
%{__rm} -rf %{buildroot}

%post core-asl
%update_maven_depmap

%postun core-asl
%update_maven_depmap

%post core-lgpl
%update_maven_depmap

%postun core-lgpl
%update_maven_depmap

%post jaxrs
%update_maven_depmap

%postun jaxrs
%update_maven_depmap

%post mapper-asl
%update_maven_depmap

%postun mapper-asl
%update_maven_depmap

%post mapper-lgpl
%update_maven_depmap

%postun mapper-lgpl
%update_maven_depmap

%post mrbean
%update_maven_depmap

%postun mrbean
%update_maven_depmap

%post smile
%update_maven_depmap

%postun smile
%update_maven_depmap

%post xc
%update_maven_depmap

%postun xc
%update_maven_depmap

%files
%defattr(0644,root,root,0755)

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%files core-asl
%defattr(0644,root,root,0755)
%doc README.txt src/VERSION.txt release-notes/CREDITS release-notes/VERSION release-notes/asl/ASL2.0 release-notes/asl/LICENSE release-notes/asl/NOTICE
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-core-asl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-core-asl.jar
%{_javadir}/%{name}/jackson-core-asl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-core-asl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-core-asl.pom
%{_mavendepmapfragdir}/%{name}-jackson-core-asl

%files core-lgpl
%defattr(0644,root,root,0755)
%doc README.txt src/VERSION.txt release-notes/CREDITS release-notes/VERSION release-notes/lgpl/LGPL2.1 release-notes/lgpl/LICENSE release-notes/lgpl/NOTICE
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-core-lgpl.jar
%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-core-lgpl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-core-lgpl.pom
%{_mavendepmapfragdir}/%{name}-jackson-core-lgpl

%files mapper-asl
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mapper-asl.jar
%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mapper-asl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mapper-asl.pom
%{_mavendepmapfragdir}/%{name}-jackson-mapper-asl

%files jaxrs
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}.jar
%{_javadir}/%{name}/jackson-jaxrs.jar
%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-jaxrs-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-jaxrs.pom
%{_mavendepmapfragdir}/%{name}-jackson-jaxrs

%files mapper-lgpl
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mapper-lgpl.jar
%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mapper-lgpl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mapper-lgpl.pom
%{_mavendepmapfragdir}/%{name}-jackson-mapper-lgpl

%files mrbean
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-mrbean-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mrbean.jar
%{_javadir}/%{name}/jackson-mrbean-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mrbean-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mrbean.pom
%{_mavendepmapfragdir}/%{name}-jackson-mrbean

%files smile
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-smile-%{namedversion}.jar
%{_javadir}/%{name}/jackson-smile.jar
%{_javadir}/%{name}/jackson-smile-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-smile-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-smile.pom
%{_mavendepmapfragdir}/%{name}-jackson-smile

%files xc
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jackson-xc-%{namedversion}.jar
%{_javadir}/%{name}/jackson-xc.jar
%{_javadir}/%{name}/jackson-xc-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-xc-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-xc.pom
%{_mavendepmapfragdir}/%{name}-jackson-xc

%changelog
* Tue Apr 10 2018 Aurel Pintea <apintea@redhat.com> - 1.9.9-12.redhat_6.1
- Upgrade to 1.9.9.redhat-6

* Thu Jun 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.9.9-11.redhat_5.1
- CVE-2017-7525

* Thu Feb 05 2015 David Walluck <dwalluck@redhat.com> - 1.9.9-10.redhat_4.1
- remove Requires: jboss-parent

* Mon Aug 11 2014 David Walluck <dwalluck@redhat.com> - 1.9.9-8.redhat_4.1
- fix rpm

* Mon Aug 11 2014 David Walluck <dwalluck@redhat.com> - 1.9.9-8.redhat_4.1
- fix version suffix

* Mon Aug 11 2014 David Walluck <dwalluck@redhat.com> - 1.9.9-8.redhat_1.1
- build with maven

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> 0:1.9.9-8
- fix Release
- add Requires: jpackage-utils to all packages

* Thu Jul 03 2014 David Walluck <dwalluck@redhat.com> 0:1.9.9-7
- patch jackson-mapper-lgpl pom

* Thu Jul 03 2014 David Walluck <dwalluck@redhat.com> 0:1.9.9-6
- disable groovy during build (for RHEL 7)

* Thu Jul 03 2014 David Walluck <dwalluck@redhat.com> 0:1.9.9-5
- update dependency information
- add missing documentation
- fix dir ownership
- fix long description lines
- use more macros
- fix mvn call
- use google-collections, not guava for build due to API changes

* Wed Apr 17 2013 David Walluck <dwalluck@redhat.com> 0:1.9.9-4
- Requires: objectweb-asm-eap6, not objectweb-asm (leave BR as-is)

* Thu Apr 11 2013 Yong Yang <yyang@redhat.com> 0:1.9.9-3.redhat_2
- BR bndtask, rm the bundled bndtask-0.2.0.jar

* Mon Apr 08 2013 David Walluck <dwalluck@redhat.com> 0:1.9.9-2
- add asm to mrbean pom (required)
- add joda-time to core poms (optional)
- remove build patch
- add asm mrbean patch
- add asm hibernate test patch
- fix version
- fix bad/missing Requires
- fix BuildRequires
- use jboss-jaxrs-api_1.1_spec, not jsr311-api
- fix bad/broken pom names
- fix poms/rerun vman
- set LC_ALL
- update Group
- update License to use standard abbreviations
- remove duplicate poms in main package
- fix jpp depmaps and depmap scripts
- fix ant call
- fix mvn deploy
- simplify mvn-deploy commands
- fix bad macros
- fix version in file names
- fix file list
- fix repolib file list
- remove obsolete GCJ support
- move some build logic to prep
- add sources jars

* Fri Mar 01 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.9.9-1.redhat_1
- Upgrade to 1.9.9

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 0:1.9.2-5_redhat_2.5
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_2.5
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.3
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.1
- Rebuild using cache signing

* Fri Jan 06 2012 Yong Yang <yyang@redhat.com> - 0:1.9.2-5_redhat_1
- Upgrade to 1.9.2
- Add vman poms as SOURCEs

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-4_redhat_1
- Call modpom script to run vman

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-3_redhat_1
- Run vman agaist the poms

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-2_redhat_1
- Build for werewolf

* Thu Jun 16 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.6.3-1
- Upgrade to 1.6.3

* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1.2
- Add %%update_maven_depmap in %%post and %%postun
- Change BR junit44 to junit4

* Fri Jan 14 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1.1
- Rebuild

* Tue Nov 16 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew
- Add %%{_javadir}/repository.jboss.com under %%files

* Tue May 18 2010 Yong Yang <yyang@redhat.com> - 0:1.3.5-0.1
- Upgrade to 1.3.5

* Tue May 04 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.1.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> - 0:1.0.1-2.1
- Rebuild

* Thu Dec 17 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-2
- Combine multiple repolibs

* Fri Oct 30 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-1
- First release
